## org.apache.ivy.osgi.obr.filter
Class CompareFilter.Operator

    java.lang.Object
      org.apache.ivy.osgi.obr.filter.CompareFilter.Operator

Enclosing class:
  CompareFilter

    public static class CompareFilter.Operator

extends java.lang.Object

Field Summary
`static CompareFilter.Operator` `EQUALS`
`static CompareFilter.Operator` `GREATER_OR_EQUAL`
`static CompareFilter.Operator` `GREATER_THAN`
`static CompareFilter.Operator` `LOWER_OR_EQUAL`
`static CompareFilter.Operator` `LOWER_THAN`

Constructor Summary
`CompareFilter.Operator()`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EQUALS

    public static CompareFilter.Operator EQUALS

### LOWER_THAN

    public static CompareFilter.Operator LOWER_THAN

### LOWER_OR_EQUAL

    public static CompareFilter.Operator LOWER_OR_EQUAL

### GREATER_THAN

    public static CompareFilter.Operator GREATER_THAN

### GREATER_OR_EQUAL

    public static CompareFilter.Operator GREATER_OR_EQUAL

Constructor Detail

### CompareFilter.Operator

    public CompareFilter.Operator()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`